%global debug_package %{nil}

%global llvm_maj_ver 17
%global bugfix_version 1
%global upstreamname ROCm-Device-Libs


Name:           rocm-device-libs
Version:        %{llvm_maj_ver}.%{bugfix_version}
Release:        2%{?dist}
Summary:        AMD ROCm LLVM bit code libraries

Url:            https://github.com/RadeonOpenCompute/ROCm-Device-Libs
License:        NCSA
Source0:        https://github.com/mystro256/%{upstreamname}/archive/refs/tags/%{version}.tar.gz#/%{upstreamname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  clang-devel
BuildRequires:  clang(major) = %{llvm_maj_ver}
BuildRequires:  llvm-devel(major) = %{llvm_maj_ver}
BuildRequires:  zlib-devel
Requires:       clang(major) = %{llvm_maj_ver}
Requires:       clang-resource-filesystem

ExclusiveArch:  x86_64 aarch64 ppc64le loongarch64

%description
This package contains a set of AMD specific device-side language runtime
libraries in the form of bit code. Specifically:
 - Open Compute library controls
 - Open Compute Math library
 - Open Compute Kernel library
 - OpenCL built-in library
 - HIP built-in library
 - Heterogeneous Compute built-in library

%prep
%autosetup -p1 -n %{upstreamname}-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE="RELEASE"
%cmake_build

%install
%cmake_install

%files
%license LICENSE.TXT
%doc README.md doc/*.md
%exclude %{_docdir}/ROCm-Device-Libs/LICENSE.TXT
%{_libdir}/cmake/AMDDeviceLibs
%{_libdir}/clang/17/amdgcn

%changelog
* Thu Nov 21 2024 Huang Yang <huangyang@loongson.cn> - 17.1-2
- [Type] other
- [DESC] add loongarch in ExclusiveArch

* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 17.1-1
- initial build
